package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.TElectronicFence;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-14
 */
public interface TElectronicFenceMapper {
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TElectronicFence selectTElectronicFenceById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tElectronicFence 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TElectronicFence> selectTElectronicFenceList(TElectronicFence tElectronicFence);

    /**
     * 新增【请填写功能名称】
     *
     * @param tElectronicFence 【请填写功能名称】
     * @return 结果
     */
    public int insertTElectronicFence(TElectronicFence tElectronicFence);

    /**
     * 修改【请填写功能名称】
     *
     * @param tElectronicFence 【请填写功能名称】
     * @return 结果
     */
    public int updateTElectronicFence(TElectronicFence tElectronicFence);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTElectronicFenceById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTElectronicFenceByIds(Long[] ids);

    /**
     * 通过deviceId获取围栏
     *
     * @param deviceId
     * @return
     */
    List<TElectronicFence> selectTElectronicFenceListByDeviceId(Long deviceId);

    int deleteTElectronicFenceStateByIds(Long[] ids);

    /**
     * 通过删除状态查询围栏
     *
     * @param delState
     * @return
     */
    List<TElectronicFence> selectTElectronicFenceByDelState(Integer delState);

    void deleteTElectronicFenceByGfids(Long[] gfids);
}
